%define upstream_name    Email-Sender
%define upstream_version 2.601

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    An SMTP client that stays online
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.80.0
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Email::Abstract) >= 3.6.0
BuildRequires: perl(Email::Address::XS)
BuildRequires: perl(Email::Simple) >= 1.998.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path) >= 2.60.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File) >= 1.110.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 2.0.0
BuildRequires: perl(Moo::Role)
BuildRequires: perl(MooX::Types::MooseLike) >= 0.150.0
BuildRequires: perl(MooX::Types::MooseLike::Base)
BuildRequires: perl(Net::SMTP) >= 3.70.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Exporter::Util)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Throwable::Error) >= 0.200.3
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(Throwable::Error)
%{?perl_default_filter}

%description
An Email::Sender::Success object is just an indicator that an email message
was successfully sent. Unless extended, it has no properties of its own.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Thu Jan 18 2024 tv <tv> 2.601.0-1.mga10
+ Revision: 2031880
- update to 2.601

* Thu Oct 27 2022 tv <tv> 2.600.0-1.mga9
+ Revision: 1899636
- update to 2.600

* Wed Mar 23 2022 umeabot <umeabot> 2.500.0-2.mga9
+ Revision: 1820724
- Mageia 9 Mass Rebuild

* Wed Jul 07 2021 tv <tv> 2.500.0-1.mga9
+ Revision: 1735045
- update to 2.500

* Wed Jun 23 2021 tv <tv> 1.500.0-1.mga9
+ Revision: 1731821
- update to 1.500

* Mon Oct 12 2020 tv <tv> 1.300.35-1.mga8
+ Revision: 1633617
- update to 1.300035

* Tue Feb 18 2020 umeabot <umeabot> 1.300.34-2.mga8
+ Revision: 1539279
- Mageia 8 Mass Rebuild

* Thu Dec 05 2019 tv <tv> 1.300.34-1.mga8
+ Revision: 1464451
- update to 1.300034

* Wed Nov 27 2019 tv <tv> 1.300.33-1.mga8
+ Revision: 1463146
- update to 1.300033

* Thu Sep 20 2018 umeabot <umeabot> 1.300.31-2.mga7
+ Revision: 1283622
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 1.300.31-1.mga7
+ Revision: 1126255
- update to 1.300031

* Sun May 08 2016 shlomif <shlomif> 1.300.28-1.mga6
+ Revision: 1010917
- New version 1.300028

* Fri Feb 19 2016 umeabot <umeabot> 1.300.20-2.mga6
+ Revision: 969634
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 1.300.20-1.mga6
+ Revision: 873490
- update to 1.300020

* Sun Jul 05 2015 sander85 <sander85> 1.300.18-1.mga6
+ Revision: 850841
- update to 1.300018

* Wed Oct 15 2014 umeabot <umeabot> 1.300.14-4.mga5
+ Revision: 750613
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.300.14-3.mga5
+ Revision: 732087
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.300.14-2.mga5
+ Revision: 684628
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 1.300.14-1.mga5
+ Revision: 669857
- update to 1.300014

* Fri Jul 11 2014 sander85 <sander85> 1.300.12-1.mga5
+ Revision: 651268
- update to 1.300012

* Mon Mar 03 2014 jquelin <jquelin> 1.300.11-1.mga5
+ Revision: 598666
- update to 1.300011

* Sun Feb 09 2014 sander85 <sander85> 1.300.10-1.mga5
+ Revision: 587454
- update to 1.300010

* Sat Oct 19 2013 umeabot <umeabot> 1.300.6-2.mga4
+ Revision: 526239
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 1.300.6-1.mga4
+ Revision: 436337
- update to 1.300006

* Sun Jan 13 2013 umeabot <umeabot> 0.120.2-2.mga3
+ Revision: 366845
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.120.2-1.mga3
+ Revision: 294986
- update to 0.120002

* Fri Aug 31 2012 kharec <kharec> 0.120.1-1.mga3
+ Revision: 286153
- update to 0.120001

* Tue Mar 06 2012 jquelin <jquelin> 0.110.5-1.mga2
+ Revision: 219929
- update to 0.110005

* Thu Feb 23 2012 jquelin <jquelin> 0.110.4-1.mga2
+ Revision: 212843
- update to 0.110004

* Thu Apr 07 2011 jquelin <jquelin> 0.110.1-1.mga1
+ Revision: 81762
- update to 0.110001

* Fri Mar 18 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 74120
- update to 0.110000

* Sun Jan 23 2011 jquelin <jquelin> 0.102.370-2.mga1
+ Revision: 33745
- mageia rebuild
- imported package perl-Email-Sender

